Bug 658762 - ipmitool delloem accesses IPMI before acting (e.g. listing help)
Summary: ipmitool delloem accesses IPMI before acting (e.g. listing help)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI
Version: 5.6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 08:02 UTC by Karel Volný
Modified: 2013-01-08 04:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the previous update, ipmitool command line utility was enhanced with various Dell OEM commands. When printing command usage, e.g. using 'ipmtool delloem help', ipmitool first checked the IPMI hardware for Dell IPMI extensions and listed only supported commands. On non-Dell platform, the usage text was incomplete and misleading. In this update, all Dell OEM extensions are listed in usage texts on all platforms, which allows an user to check for command line arguments on non-Dell HW.
Clone Of:
Environment:
Last Closed: 2013-01-08 04:52:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0123 0 normal SHIPPED_LIVE Low: OpenIPMI security, bug fix, and enhancement update 2013-01-08 09:10:13 UTC

Description Karel Volný 2010-12-01 08:02:46 UTC
Description of problem:
using delloem extension, ipmitool tries to work with IPMI before any further action

this for example prevents the user to read the usage message for the "lcd" command if the capability is not available - but help should NOT be dependent on IPMI running/accesible

it also leads to confusing messages trying to use the command

Version-Release number of selected component (if applicable):
OpenIPMI-tools-2.0.16-10.el5

How reproducible:
always

Steps to Reproduce:
on a machine without delloem extensions:
1. ipmitool delloem help
2. ipmitool delloem lcd info
  
Actual results:
1. # ipmitool delloem help
Could not open device at /dev/ipmi0 or /dev/ipmi/0 or /dev/ipmidev/0: No such file or directory
Could not open device at /dev/ipmi0 or /dev/ipmi/0 or /dev/ipmidev/0: No such file or directory

usage: delloem <command> [option...]

commands:
    mac
    lan
    powermonitor

For help on individual commands type:
delloem <command> help


2. # ipmitool delloem lcd info
Could not open device at /dev/ipmi0 or /dev/ipmi/0 or /dev/ipmidev/0: No such file or directory
Could not open device at /dev/ipmi0 or /dev/ipmi/0 or /dev/ipmidev/0: No such file or directory

usage: delloem <command> [option...]

commands:
    mac
    lan
    powermonitor

For help on individual commands type:
delloem <command> help

Expected results:
1. ipmitool should not try to access ipmi if just asked for help; also the 'lcd' command should be listed

2. this is valid command syntax - instead of printing the usage message, ipmitool should report that the LCD support is not available

Additional info:
the machine to test (with LCD support) is Dell PowerEdge R805

Comment 1 RHEL Program Management 2012-04-19 11:48:43 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 2 Jan Safranek 2012-05-31 10:37:46 UTC
Patch sent upstream: https://sourceforge.net/mailarchive/message.php?msg_id=29341092

Comment 3 Jan Safranek 2012-06-11 08:02:45 UTC
... and patches were accepted.

Comment 5 Jan Safranek 2012-06-13 11:59:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In the previous update, ipmitool command line utility was enhanced with various Dell OEM commands. When printing command usage, e.g. using 'ipmtool delloem help', ipmitool first checked the IPMI hardware for Dell IPMI extensions and listed only supported commands. On non-Dell platform, the usage text was incomplete and misleading. In this update, all Dell OEM extensions are listed in usage texts on all platforms, which allows an user to check for command line arguments on non-Dell HW.

Comment 9 errata-xmlrpc 2013-01-08 04:52:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0123.html


Note You need to log in before you can comment on or make changes to this bug.